Supplement for supported platforms for Rational Functional Tester versions 8.0 and 8.1

Product documentation


Abstract

This document lists the various supported platforms on which IBM Rational Functional Tester can be installed.

Content


Table 1: Supported 32-bit operating systems
8.0.x
8.1
8.1.1
8.1.1.1
8.1.1.2 and 8.1.1.3
Microsoft Windows XP Professional
  • SP 2,
  • SP 3
  • SP 2,
  • SP 3
  • SP 2,
  • SP 3
  • SP 2 ,
  • SP 3
  • SP 2 ,
  • SP 3
Microsoft Windows 2000 Professional
  • SP 4
  • SP 4
  • SP 4
  • SP 4
  • SP 4
Microsoft Windows 2000 Server
  • SP 4,
  • Advanced Server SP 4
  • SP 4,
  • Advanced Server SP 4
  • SP 4,
  • Advanced Server SP 4
  • SP4,
  • Advanced Server SP4
  • SP 4,
  • Advanced Server SP 4
Microsoft Windows 2003 Server
  • Standard Edition SP1, SP2,
  • Enterprise Edition SP 1, SP2
  • Standard Edition SP 1, SP2,
  • Enterprise Edition SP 1, SP2
  • Standard Edition SP1, SP2,
  • Enterprise Edition SP1, SP2
  • Standard Edition SP1, SP2,
  • Enterprise Edition SP 1, SP2
  • Standard Edition SP 1, SP2,
  • Enterprise Edition SP 1, SP 2
Microsoft Windows Vista
  • Business SP1,
  • Enterprise SP1,
  • Ultimate SP1
  • Business SP1, SP2,
  • Enterprise SP1, SP2,
  • Ultimate SP1, SP2
  • Business SP1, SP2,
  • Enterprise SP1, SP2,
  • Ultimate SP1, SP2
  • Business SP1, SP2,
  • Enterprise SP1, SP2,
  • Ultimate SP1, SP2
  • Business SP1, SP2,
  • Enterprise SP1, SP2,
  • Ultimate SP1, SP2
Microsoft Windows 2008 Server No
  • Standard Edition SP 1 (without Hyper V)
  • Standard Edition SP1

Note: A guest operating system that Rational Functional supports and that is hosted on Hyper-V is supported.
  • Standard Edition SP1

Note: A guest operating system that Rational Functional supports and that is hosted on Hyper-V is supported.
  • Standard Edition SP1
Note: A guest operating system that Rational Functional supports and that is hosted on Hyper-V is supported.
Microsoft Windows 7 No No
  • Ultimate,
  • Enterprise,
  • Professional
  • Ultimate,
  • Enterprise,
  • Professional
  • Ultimate,
  • Enterprise,
  • Professional
Red Hat Enterprise Linux AS
  • 4.0,
  • 4.0 Update 5
  • 4.0,
  • 4.0 Update 5,
  • 4.0 Update 8
  • 4.0,
  • 4.0 Update 5,
  • 4.0 Update 8
  • 4.0,
  • 4.0 Update 5 ,
  • 4.0 Update 8
  • 4.0,
  • 4.0 Update 5,
  • 4.0 Update 8
Red Hat Enterprise Linux ES
  • 4.0,
  • 4.0 Update 1
  • 4.0,
  • 4.0 Update 1
  • 4.0,
  • 4.0 Update 1
  • 4.0,
  • 4.0 Update 1
  • 4.0,
  • 4.0 Update 1
Red Hat Enterprise Linux (Server) No
  • 5.0 Update 3
  • 5.0 Update 3
  • 5.0 Update 3
  • 5.0 Update 4
  • 5.0 Update 3
  • 5.0 Update 4
Red Hat Enterprise Linux Desktop
  • 4.0,
  • 4.0 Update 1,
  • 4.0 Update 7,
  • 5.0 Update 2
  • 4.0,
  • 4.0 Update 1,
  • 4.0 Update 7,
  • 5.0 Update 2
  • 4.0,
  • 4.0 Update 1,
  • 4.0 Update 7,
  • 4.0 Update 8,
  • 5.0 Update 2 ,
  • 5.0 Update 3
  • 4.0,
  • 4.0 Update 1,
  • 4.0 Update 7,
  • 4.0 Update 8,
  • 5.0 Update 2,
  • 5.0 Update 3,
  • 5.0 Update 4
  • 4.0,
  • 4.0 Update 1,
  • 4.0 Update 7,
  • 4.0 Update 8,
  • 5.0 Update 2 ,
  • 5.0 Update 3,
  • 5.0 Update 4
SUSE Linux Enterprise Server (SLES)
  • 9.0,
  • 9.0 SP4,
  • 10.0 ,
  • 10.0 SP1,
  • 10.0 SP2
  • 9.0,
  • 9.0 SP4,
  • 10.0,
  • 10.0 SP1,
  • 10.0 SP2,
  • 11.0
  • 9.0,
  • 9.0 SP4,
  • 10.0,
  • 10.0 SP1,
  • 10.0 SP2,
  • 11.0
  • 9.0,
  • 9.0 SP4,
  • 10.0,
  • 10.0 SP1,
  • 10.0 SP2,
  • 11.0
  • 9.0,
  • 9.0 SP4,
  • 10.0,
  • 10.0 SP1,
  • 10.0 SP2,
  • 10.0 SP3,
  • 11.0
SUSE Linux Enterprise Desktop
  • 10.0,
  • 10.0 SP1,
  • 10.0 SP2
  • 10.0,
  • 10.0 SP1 ,
  • 10.0 SP2
  • 10.0,
  • 10.0 SP1,
  • 10.0 SP2
  • 10.0,
  • 10.0 SP1,
  • 10.0 SP2
  • 10.0,
  • 10.0 SP1,
  • 10.0 SP2,
  • 11.0

Note: Rational Functional Tester provides support for testing applications on a computer that has Federal Desktop Core Configuration (FDCC) setup on Microsoft Windows XP, Microsoft Windows Vista and Microsoft Windows 7 operating system. For more information, see the technote Enabling browsers for Rational Functional Tester version 8.1 on Federal Desktop Core Configuration compliant Microsoft Windows machines.



Table 2: Operating systems that are supported in the 64-bit mode
8.1 8.1.1 and 8.1.1.1 8.1.1.2 and 8.1.1.3
Microsoft Windows XP Professional yes yes yes
Microsoft Windows Vista
  • Business
  • Ultimate
  • Enterprise
  • Business
  • Ultimate
  • Enterprise
  • Business
  • Ultimate
  • Enterprise
Microsoft Windows 2003 Server yes yes yes
Microsoft Windows 2008 Server no no yes
Microsoft Windows 7 no
  • Ultimate
  • Enterprise
  • Professional
  • Ultimate
  • Enterprise
  • Professional

Note: Rational Functional Tester provides limited support for testing applications on 64-bit mode. You can test Windows and .NET 64-bit applications in the 64-bit Windows operating system. You can also test all the supported 32-bit applications that run in 32-bit mode in the 64-bit Windows operating system. For more information, see the product release notes and the tech notes in the Support site.



Table 3: Additional software requirements for Rational Functional Tester
Software environment 8.1 and 8.1.1 8.1.1.1 and 8.1.1.2 8.1.1.3
Microsoft .NET Framework
  • 1.1
  • 2.0
  • 3.0
  • 3.5
  • 1.1
  • 2.0
  • 3.0
  • 3.5
  • 2.0
  • 3.0
  • 3.5
Microsoft Visual Studio
  • .NET 2003, Standard Edition with VB.NET Project support for .NET 2003 scripting.
  • .NET 2003, Professional Edition, with VB.NET Project support for .NET 2003 scripting.
  • .NET 2005, Standard Edition with VB.NET Project support for .NET 2005 scripting.
  • .NET 2005, Professional Edition, with VB.NET Project support for .NET 2005 scripting.
  • .NET 2003, Standard Edition with VB.NET Project support for .NET 2003 scripting.
  • .NET 2003, Professional Edition, with VB.NET Project support for .NET 2003 scripting.
  • .NET 2005, Standard Edition with VB.NET Project support for .NET 2005 scripting.
  • .NET 2005, Professional Edition, with VB.NET Project support for .NET 2005 scripting.
  • .NET 2003, Standard Edition with VB.NET Project support for .NET 2003 scripting.
  • .NET 2003, Professional Edition, with VB.NET Project support for .NET 2003 scripting.
  • .NET 2005, Standard Edition with VB.NET Project support for .NET 2005 scripting.
  • .NET 2005, Professional Edition, with VB.NET Project support for .NET 2005 scripting.
Linux The GNU Image Manipulation Program Toolkit (GTK+), Version 2.2.1 to 2.17, and associated libraries (GLib, Pango). The GNU Image Manipulation Program Toolkit (GTK+), Version 2.2.1 to 2.17, and associated libraries (GLib, Pango). The GNU Image Manipulation Program Toolkit (GTK+), Version 2.2.1 to 2.17, and associated libraries (GLib, Pango).
Extending an existing Eclipse IDE To install Rational Functional Tester into an existing Eclipse instance, the version of the
current Eclipse instance must be 3.4.2 or later.
To extend an existing Eclipse IDE, you must also have a JRE from one of the following
Java™ development kits:
  • Windows: IBM 32-bit SDK for Windows, Java 2 Technology Edition, Version 6 or Sun Java 2 Standard Edition 6
  • Linux: IBM 32-bit SDK for Linux on Intel architecture, Java 2 Technology Edition, Version 6 or Sun Java 2 Standard Edition 6
To install Rational Functional Tester into an existing Eclipse instance, the version of the
current Eclipse instance must be 3.4.2 or later.
To extend an existing Eclipse IDE, you must also have a JRE from one of the following
Java™ development kits:
  • Windows: IBM 32-bit SDK for Windows, Java 2 Technology Edition, Version 6 or Sun Java 2 Standard Edition 6
  • Linux: IBM 32-bit SDK for Linux on Intel architecture, Java 2 Technology Edition, Version 6 or Sun Java 2 Standard Edition 6
To install Rational Functional Tester into an existing Eclipse instance, the version of the
current Eclipse instance must be 3.4.2 or later.
To extend an existing Eclipse IDE, you must also have a JRE from one of the following
Java™ development kits:
  • Windows: IBM 32-bit SDK for Windows, Java 2 Technology Edition, Version 6 or Sun Java 2 Standard Edition 6
  • Linux: IBM 32-bit SDK for Linux on Intel architecture, Java 2 Technology Edition, Version 6 or Sun Java 2 Standard Edition 6
Supported virtualization software
  • Citrix Presentation Manager Version 4 or 4.5, running on Windows Server 2003 Standard Edition or Windows Server 2003 Professional Edition.
  • Citrix Presentation Manager Version 4 or 4.5, running on Windows Server 2003 Standard Edition or Windows Server 2003 Professional Edition.
  • Citrix XenApp 5.0 for Windows Server 2008
  • Citrix Presentation Manager Version 4 or 4.5, running on Windows Server 2003 Standard Edition or Windows Server 2003 Professional Edition.
  • Citrix XenApp 5.0 for Windows Server 2008

Note: For information pertaining to the versions and features, refer the respective topic notes available in the Rational Functional Tester Information Centre.


Rate this page:

(0 users)Average rating

Document information


More support for:

Rational Functional Tester
Documentation

Software version:

8.0, 8.0.0.1, 8.0.0.2, 8.0.0.3, 8.1, 8.1.0.1, 8.1.0.2, 8.1.0.3, 8.1.1, 8.1.1.1, 8.1.1.2, 8.1.1.3

Operating system(s):

Linux, Windows

Reference #:

7017676

Modified date:

2010-11-23

Translate my page

Machine Translation

Content navigation